> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Customer

> Submit an RFI response for an individual or business customer. You must pass only the fields and documents specified in the RFI. Submitting data that was not requested will trigger an error.

<Note>
  Only submit the fields explicitly listed in the RFI. Sending unrequested
  fields will result in an error.
</Note>

The request body accepts the same fields as the following endpoints:

* Attach Documents to Individual Customer
* Attach Documents to Business Customer
* Attach Documents to Business Customer V2
* Attach Document To Associated Party
* Attach Document To Associated Party V2


## OpenAPI

````yaml PATCH /v1/customers/{customer_id}
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specificationFo
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v1/customers/{customer_id}:
    patch:
      tags:
        - Customers
      summary: Update Customer
      description: >-
        Submit an RFI response for an individual or business customer. You must
        pass only the fields and documents specified in the RFI. Submitting data
        that was not requested will trigger an error.
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Unique identifier of the customer to update
          example: ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - title: Individual Customer
                  type: object
                  properties:
                    proof_of_identity:
                      type: object
                      properties:
                        type:
                          type: string
                          example: PASSPORT
                        number:
                          type: string
                          example: A12345678
                        country:
                          type: string
                          example: USA
                        issue_date:
                          type: string
                          format: date
                          example: '2020-01-15'
                        expiry_date:
                          type: string
                          format: date
                          example: '2030-01-15'
                        files:
                          type: array
                          items:
                            type: object
                            properties:
                              uri:
                                type: string
                                example: /AbAcQ4hn_0652746727637.pdf
                              side:
                                type: string
                                enum:
                                  - FRONT
                                  - BACK
                                example: FRONT
                    proof_of_address:
                      type: object
                      description: >-
                        The proof of address document must not be older than
                        three months.
                      properties:
                        type:
                          type: string
                          example: UTILITY_BILL
                        country:
                          type: string
                          example: USA
                        files:
                          type: array
                          items:
                            type: object
                            properties:
                              uri:
                                type: string
                                example: /AbAcQ4hn_0652746727638.pdf
                - title: Business Customer
                  type: object
                  properties:
                    ownership_documents:
                      type: array
                      description: >-
                        Ownership documents for the business customer (e.g.
                        shareholder registry, proof of signatory authority)
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            example: PROOF_OF_SIGNATORY_AUTHORITY
                          description:
                            type: string
                            example: Shareholder Registry
                          files:
                            type: array
                            items:
                              type: object
                              properties:
                                uri:
                                  type: string
                                  example: /AbAcQ4hn_0652746727639.pdf
                    formation_documents:
                      type: array
                      description: >-
                        Formation documents for the business customer (e.g.
                        certificate of incorporation, registration document)
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            example: REGISTRATION_DOCUMENT
                          description:
                            type: string
                            example: Certificate of Incorporation
                          files:
                            type: array
                            items:
                              type: object
                              properties:
                                uri:
                                  type: string
                                  example: /AbAcQ4hn_0652746727637.pdf
                    supporting_documents:
                      type: array
                      description: Supporting documents for the customer
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            example: PROOF_OF_SOURCE_OF_FUNDS
                          description:
                            type: string
                            example: Proof of source of funds doc
                          files:
                            type: array
                            items:
                              type: object
                              properties:
                                uri:
                                  type: string
                                  example: /PoAdef45_0652746727640.pdf
                    associated_party_attachments:
                      type: array
                      description: >-
                        Document attachments for associated parties of a
                        business customer
                      items:
                        type: object
                        properties:
                          associated_party_id:
                            type: string
                            format: uuid
                            description: ID of the associated party
                            example: f6b13e01-044a-4f74-a70b-d5f66b6449af
                          identifying_documents:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - PASSPORT
                                    - NATIONAL_ID
                                    - DRIVERS_LICENSE
                                    - RESIDENCE_PERMIT
                                number:
                                  type: string
                                country:
                                  type: string
                                issue_date:
                                  type: string
                                  format: date
                                expiry_date:
                                  type: string
                                  format: date
                                files:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      side:
                                        type: string
                                        enum:
                                          - FRONT
                                          - BACK
                                      uri:
                                        type: string
                          address_documents:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                files:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      uri:
                                        type: string
                          supporting_documents:
                            type: array
                            items:
                              type: object
            examples:
              Business Customer:
                value:
                  ownership_documents:
                    - type: PROOF_OF_SIGNATORY_AUTHORITY
                      description: Shareholder Registry
                      files:
                        - uri: /AbAcQ4hn_0652746727639.pdf
                  formation_documents:
                    - type: REGISTRATION_DOCUMENT
                      description: Certificate of Incorporation
                      files:
                        - uri: /AbAcQ4hn_0652746727637.pdf
                  supporting_documents:
                    - type: PROOF_OF_SOURCE_OF_FUNDS
                      description: Proof of source of funds doc
                      files:
                        - uri: /PoAdef45_0652746727640.pdf
                  associated_party_attachments:
                    - associated_party_id: f6b13e01-044a-4f74-a70b-d5f66b6449af
                      identifying_documents:
                        - type: PASSPORT
                          number: A12345678
                          country: USA
                          issue_date: '2020-01-15'
                          expiry_date: '2030-01-15'
                          files:
                            - uri: /AbAcQ4hn_0652746727637.pdf
                        - type: DRIVERS_LICENSE
                          number: DL987654321
                          country: USA
                          issue_date: '2019-06-01'
                          expiry_date: '2029-06-01'
                          files:
                            - side: FRONT
                              uri: /AbAcQ4hn_0652746727645.pdf
                            - side: BACK
                              uri: /AbAcQ4hn_0652746727646.pdf
                      address_documents:
                        - type: BANK_STATEMENT
                          files:
                            - uri: /AbAcQ4hn_0652746727638.pdf
                      supporting_documents: []
                    - associated_party_id: f71dc19f-b9a0-49fb-bd2d-5add3c01626e
                      identifying_documents:
                        - type: NATIONAL_ID
                          number: NID-987654
                          country: USA
                          issue_date: '2021-03-10'
                          expiry_date: '2031-03-10'
                          files:
                            - side: FRONT
                              uri: /XyZ123mn_0652746727650.pdf
                            - side: BACK
                              uri: /XyZ123mn_0652746727651.pdf
                      address_documents:
                        - type: UTILITY_BILL
                          files:
                            - uri: /XyZ123mn_0652746727652.pdf
              Individual Customer:
                value:
                  proof_of_identity:
                    type: PASSPORT
                    number: A12345678
                    country: USA
                    issue_date: '2020-01-15'
                    expiry_date: '2030-01-15'
                    files:
                      - uri: /AbAcQ4hn_0652746727637.pdf
                        side: FRONT
                  proof_of_address:
                    type: UTILITY_BILL
                    country: USA
                    files:
                      - uri: /AbAcQ4hn_0652746727638.pdf
      responses:
        '200':
          description: Customer updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      customer_id:
                        type: string
                        format: uuid
                        example: ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06
              example:
                data:
                  customer_id: ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                  message:
                    type: string
                    example: Validation failed
                  data:
                    type: object
                    additionalProperties:
                      type: string
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````